<!DOCTYPE html>
<html lang="sr">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Instaliraj samopotpisani sertifikat</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Instaliraj samopotpisani sertifikat</h1>
		<p>Da biste koristili ovu aplikaciju, potrebno je da instalirate samopotpisani SSL sertifikat.</p>

		<section on-platform="win">
			<h2>Uputstva za Windows</h2>
			<ol>
				<li>Dupli klik na datoteku <a href="#server.cert">server.cert</a> da biste otvorili čarobnjak za instalaciju sertifikata.</li>
				<li>Izaberite "Instaliraj sertifikat" i odaberite "Lokalna mašina".</li>
				<li>Izaberite "Smeštaj svih sertifikata u sledeću radnju" i odaberite "Pouzdani osnovni sertifikati".</li>
				<li>Završite čarobnjak i potvrdite instalaciju.</li>
				<li>Ponovo pokrenite nan•web aplikaciju</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Uputstva za Mac</h2>
			<ol>
				<li>Otvorite aplikaciju Pristup ključu (Keychain Access).</li>
				<li>Povucite i otpustite datoteku <a href="#server.cert">server.cert</a> u ključni lanac "Sistem".</li>
				<li>Pronađite sertifikat na listi <code>localhost</code>, dupli kliknite na njega i proširite odeljak "Poverenje".</li>
				<li>Podesite "Kada koristite ovaj sertifikat" na "Uvek veruj".</li>
				<li>Ponovo pokrenite nan•web aplikaciju</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Uputstva za Linux</h2>
			<ol>
				<li>Kopirajte sertifikat u direktorijum <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Ažurirajte CA sertifikate:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Ponovo pokrenite nan•web aplikaciju</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
